:UserLogin(
    __code__(0x1100)
    [1]userAccount:string({...***..})
    [2]clientType:int8()
    [3]appId("2")
    [4]loginAddr()
    [5]token:string({...***..})
    [6]deviceId:string({...***..})
    [7]language("ZH")
    [8]loginExtData()
    [9]deviceName:string({...***})
)
:UserLoginAck(
    __code__(0x1101)
    [1]result:int32()
    [2]resultDesc()
    [3]userAccount:string({...***..})
    [4]lastLoginTime()
    [5]lastLoginAddress()
    [6]devicesList:list(
       :object{LoginDevice}(
            [1]deviceType:int32()
            [2]loginTime:int64()
        )
    )
)

:UserLogout(
    __code__(0x1102)
)

:UserLogoutAck(
    __code__(0x1103)
    [1]result:int32()
    [2]resultDesc()
)

:UserHeartBeat(
    __code__(0x110A)
)

:UserHeartBeatAck(
    __code__(0x110B)
    [1]result:int32()
    [2]resultDesc()
)

:KickOutNotify(
    __code__(0x111C)
    [1]userAccount:string({...***..})
    [2]operateDevice:DeviceInfo(
        [1]userAccount:string({...***..})
        [2]deviceType:int8()
        [3]deviceId()
        [4]deviceName:string({...***})
        [5]appId()
    )
    [3]kickedOutDevice:DeviceInfo(
        [1]userAccount:string({...***..})
        [2]deviceType:int8()
        [3]deviceId()
        [4]deviceName:string({...***})
        [5]appId()
    )
    [4]operateTime:int64()
    [5]kickoutCause:int8()
)

:GroupChat(
    __code__(0x1202)
	[1]clientMsgId:string({...***..})
	[2]chatInfo:ChatInfo(
	    [1]msgId:int64()
        [2]userAccount:string({...***..})
        [3]chatType:int16()
        [4]receiverAccount()
        [5]groupId:int64()
        [6]chatContentType:int16()
        [7]content:string({***})
        [8]appId()
        [9]solidContent()
        [10]msgExt()
        [11]serverSendTime:int64()
        [12]isAutoReply:int16()
        [13]isAt:int16()
        [14]chatAtInfo:ChatAtInfo()
        [15]isAppMsg:int16()
        [16]appServiceInfo:ChatSenderAppInfo(
            [1]appServiceId()
            [2]appServiceName()
        )
        [17]clientSendTime:int64()
        [18]senderName:string({...***})
        [19]senderNativeName:string({...***})
        [20]groupName:string({...***})
        [21]groupType:int16()
        [22]pushExtData()
        [23]isPrivateChat:int8()
        [24]chatPrivateInfo:ChatPrivateInfo(
            [1]PrivateAccounts:list{string}()
        )
        [25]isMeetingMsg:int8(1)
	)
	[3]isOnlyPc:int16()
	[4]clientSendTime:int64()
)

:GroupChatAck(
    __code__(0x1203)
    [1]result:int32()
    [2]resultDesc()
	[3]messageId:int64()
	[4]clientMsgId:string({...***..})
	[5]senderAccount:string({...***..})
	[6]serverSendTime:int64()
)

:ChatNotify(
    __code__(0x1204)
    [1]sender:string({...***..})
	[2]receiver:string({...***..})
	[3]chatType:int8()
    [4]imChat:ChatInfo(
        [1]msgId:int64()
        [2]userAccount:string({...***..})
        [3]chatType:int16()
        [4]receiverAccount()
        [5]groupId:int64()
        [6]chatContentType:int16()
        [7]content:string({***})
    	[8]appId:string()
    	[9]solidContent()
    	[10]msgExt()
    	[11]serverSendTime:int64()
    	[12]isAutoReply:int16()
    	[13]isAt:int16()
    	[14]chatAtInfo:ChatAtInfo()
    	[15]isAppMsg:int16()
    	[16]appServiceInfo:ChatSenderAppInfo(
    		[1]appServiceId()
        	[2]appServiceName()
    	)
    	[17]clientSendTime:int64()
    	[18]senderName:string({...***})
    	[19]senderNativeName:string({...***})
    	[20]groupName:string({...***})
    	[21]groupType:int16()
    	[22]pushExtData()
    	[23]isPrivateChat:int8()
    	[24]chatPrivateInfo:ChatPrivateInfo(
        	[1]PrivateAccounts:list{string}()
    	)
    	[25]isMeetingMsg:int8()
    )
)

:JoinMeetingGroup(
    __code__(0x135E)
    [1]groupId:int64()
    [2]confId()
)

:JoinMeetingGroupAck(
    __code__(0x135F)
    [1]result:int32()
    [2]resultDesc()
    [3]groupInfo:GroupInfo(
       	[1]groupId:int64()
       	[2]ownerAccount()
       	[3]initCapacity:int32()
       	[4]name()
       	[5]enName()
       	[6]groupType:int8()
       	[7]groupState:int8()
       	[8]joinPolicy:int8()
       	[9]groupIcon()
       	[10]solid:int8()
       	[11]appId('2')
       	[12]appName()
       	[13]nameInitialized:int8()
       	[14]groupDesc()
       	[15]groupManifesto()
       	[16]groupLevel:int16()
       	[17]groupServicePolicy()
       	[18]groupSpaceInfo:GroupSpaceInfo(
       		[1]groupSpaceId()
        	[2]groupSpaceName()
        	[3]createTime:int64()
       	)
       	[19]groupCreator()
       	[20]createTime:int64()
       	[21]modifyTime:int64()
       	[22]lastActiveTime:int64()
       	[23]crossCorpGroup:int8()
       	[24]tenantId()
    )
)

:LeaveGroup(
    __code__(0x133E)
    [1]groupId:int64()
)

:LeaveGroupAck(
    __code__(0x133F)
    [1]result:int32()
    [2]resultDesc()
)

:DisbandGroup(
    __code__(0x1302)
    [1]groupId:int64()
)

:DisbandGroupAck(
    __code__(0x1303)
    [1]result:int32()
    [2]resultDesc()
)

:QueryRoamingMsg(
    __code__(0x1500)
    [1]chatType:int8(1)
    [2]senderAccount:string({...***..})
    [3]groupId:int64()
    [4]msgId:int64()
    [5]msgCount:int32()
    [6]queryDirection:int8(0)
)

:QueryRoamingMsgAck(
    __code__(0x1501)
    [1]result:int32()
    [2]resultDesc()
    [3]userAccount:string({...***..})
    [4]msgTotalCount:int32()
    [5]maxMsgId:int64()
    [6]minMsgId:int64()
    [7]chatInfoList:list(
     :object{ChatInfo}(
        [1]msgId:int64()
        [2]userAccount:string({...***..})
        [3]chatType:int16()
        [4]receiverAccount()
        [5]groupId:int64()
        [6]chatContentType:int16()
        [7]content:string({***})
    	[8]appId:string()
    	[9]solidContent()
    	[10]msgExt()
    	[11]serverSendTime:int64()
    	[12]isAutoReply:int16()
    	[13]isAt:int16()
    	[14]chatAtInfo:ChatAtInfo()
    	[15]isAppMsg:int16()
    	[16]appServiceInfo:ChatSenderAppInfo(
    		[1]appServiceId()
        	[2]appServiceName()
    	)
    	[17]clientSendTime:int64()
    	[18]senderName:string({...***})
    	[19]senderNativeName:string({...***})
    	[20]groupName:string({...***})
    	[21]groupType:int16()
    	[22]pushExtData()
    	[23]isPrivateChat:int8()
    	[24]chatPrivateInfo:ChatPrivateInfo(
        	[1]PrivateAccounts:list{string}()
    	)
    	[25]isMeetingMsg:int8()
      )
    )
)

:RtmMessage(
   [1]msgId:int64()
   [2]msgType:int8()
   [3]sender:string({...***})
   [4]receiver:string({...***})
   [5]channelId:int64()
   [6]contentType:int8()
   [7]textContent:string({***})
   [8]rawContent:bytes({***})
   [9]messageOptions:map{string,string}({***})
   [10]rtmExtData:string()
   [11]serverSendTime:int64()
)

:ChannelRTM(
    __code__(0x3002)
    [1]clientMsgId:string()
    [2]rtmMessage:RtmMessage()
    [3]enableHistoricalMessage:int8()
    [6]deliverMode:int8()
)

:ChannelRTMAck(
    __code__(0x3003)
    [1]result:int32()
    [2]resultDesc()
    [3]msgId:int64()
    [4]clientMsgId:string()
)

:ChannelControlRTM(
    __code__(0x3004)
    [1]clientMsgId:string()
    [2]rtmControlMessage:RtmMessage()
)

:ChannelControlRTMAck(
    __code__(0x3005)
    [1]result:int32()
    [2]resultDesc()
    [3]msgId:int64()
    [4]clientMsgId:string()
)

:QueryChannelRtmMessage(
    __code__(0x3006)
    [1]channelId:int64()
    [2]startMsgId:int64()
    [3]endMsgId:int64()
)

:QueryChannelRtmMessageAck(
    __code__(0x3007)
    [1]result:int32()
    [2]resultDesc()
    [3]msgTotlCount:int32()
    [4]maxMsgId:int64()
    [5]minMsgId:int64()
    [6]rtmMessages:list{RtmMessage}()
)

:ReportJoinedChannel(
    __code__(0x3008)
    [1]joinedChannelId:int64()
    [2]action:int8(1)
)

:ReportJoinedChannelAck(
    __code__(0x3009)
    [1]result:int32()
    [2]resultDesc()
)

:ChannelRtmRefreshNotify(
     __code__(0x3060)
     [1]channelId:int64()
     [2]latestMsgId:int64()
)

:RtmMessageNotify(
    __code__(0x3062)
    [1]sender:string()
    [2]receiver:string()
    [3]msgType:int8()
    [4]rtmMessage:RtmMessage()
)

:AppNotify(
    __code__(0x2804)
    [1]notifyId:int64()
    [2]notifyModule:string()
    [3]notifyData:string({***})
    [4]sendTime:int64()
)